> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chat.voicebot.studio/llms.txt
> Use this file to discover all available pages before exploring further.

# List Templates

> List available templates.



## OpenAPI

````yaml api-reference/openapi.json get /templates
openapi: 3.0.3
info:
  version: 0.1.0
  title: Client API
servers:
  - url: https://1-some-client.some-server.healvi-chat/third-party/v1
security:
  - bearerAuth: []
paths:
  /templates:
    get:
      tags:
        - templates
      summary: List available templates.
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/PaginatedResult'
                  - type: object
                    properties:
                      data:
                        type: array
                        items:
                          $ref: '#/components/schemas/Template'
components:
  schemas:
    PaginatedResult:
      type: object
      properties:
        data:
          description: |
            Default count: 100
          type: array
          items: {}
        links:
          type: object
          properties:
            first:
              type: string
            last:
              type: string
            prev:
              type: string
              nullable: true
            next:
              type: string
              nullable: true
        meta:
          type: object
          properties:
            current_page:
              type: integer
            from:
              type: integer
            to:
              type: integer
            last_page:
              type: integer
            per_page:
              type: integer
            total:
              type: integer
            path:
              type: string
            links:
              type: array
              items: {}
    Template:
      description: Template to store text with placeholders.
      type: object
      properties:
        id:
          type: integer
          description: Internal ID.
        category:
          description: Category or directory to organize templates one level deep.
          type: string
          nullable: true
        name:
          description: Name of template.
          type: string
        text:
          description: Template text with placeholders.
          type: string
          example: Name of profile is $name$.
        created_at:
          description: Datetime when template was created.
          type: string
          format: date-time
          nullable: true
          example: '2023-01-01T12:00:00Z'
        updated_at:
          description: Datetime when template was last updated.
          type: string
          format: date-time
          nullable: true
          example: '2023-01-01T12:00:00Z'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````